INSTALL(1)

BEZEICHNUNG
install - Dateien kopieren und Attribute setzen

ÜBERSICHT
install [OPTION]… [-T] QUELLE ZIEL
install [OPTION]… QUELLE… VERZEICHNIS
install [OPTION]… -t VERZEICHNIS QUELLE…
install [OPTION]… -d VERZEICHNIS…

BESCHREIBUNG

Dieses install-Programm kopiert Dateien (oftmals frisch kompiliert) an Zielorte Ihrer Wahl. Wenn Sie fertig konfektionierte Pakete auf einem GNU/Linux-System benutzen möchten, sollten Sie stattdessen ein Werkzeug zur Paketverwaltung wie yum(1) oder apt-get(1) benutzen.

In den drei ersten Formaten wird QUELLE nach ZIEL kopiert oder mehrere QUELLEN in VERZEICHNIS, während die Zugriffsmodi und Besitzer und Gruppe der Dateien gesetzt werden. Im vierten Format werden alle Teile der/des angegebenen VERZEICHNIS(se) erzeugt.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--backup[=STEUERUNG]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

-c  (ignoriert)

-C, --compare
    vergleicht den Inhalt von Quell- und Zieldatei, und falls sich weder Inhalt, Eigentümerschaft noch Zugriffsrechte verändert haben, wird das Ziel nicht verändert.

-d, --directory
    Alle Argumente als Verzeichnisnamen behandeln; alle Bestandteile der angegebenen Verzeichnisse erzeugen

-D  Alle führenden Elemente von ZIEL außer dem Letzten erzeugen oder alle Komponenten von --target-directory, dann QUELLE nach ZIEL kopieren

-g, --group=GRUPPE
    Gruppenbesitz setzen, statt Gruppe des akt. Prozesses

-m, --mode=MODUS
    Zugriffsmodus setzen (wie in chmod), statt rwxr-xr-x

-o, --owner=BESITZER
    Besitzer setzen (nur für den Superuser)

-p, --preserve-timestamps
    Anwenden der Zugriffs‐/Änderungszeiten der QUELL‐Dateien auf entsprechende Zieldateien

-s, --strip
    Symboltabellen bereinigen

--strip-program=PROGRAMM
    Programm zum Bereinigen von ausführbaren Dateien

-S, --suffix=ENDUNG
    überschreibt die übliche Endung für Sicherungskopien.

-t, --target-directory=VERZEICHNIS
    kopiert alle QUELLE‐Argumente in VERZEICHNIS.

-T, --no-target-directory
    ZIEL als normale Datei behandeln

-v, --verbose
    Den Namen jedes Verzeichnisses bei Erzeugung ausgeben

--preserve-context
    SELinux-Sicherheitskontext erhalten

-Z  Den SELinux-Sicherheitskontext der Zieldatei und jedes erstellten Verzeichnisses auf den vorgegebenen Typ setzen

--context[=KTX]
    Wie -Z, oder falls KTX angegeben ist, wird der SELinux- oder SMACK-Sicherheitskontext auf KTX gesetzt.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    erstellt niemals Sicherheitskopien (selbst wenn --backup angegeben wurde).

numbered, t
    erstellt nummerierte Sicherheitskopien.

existing, nil
    erstellt nummerierte (»numbered«) Sicherheitskopien, wenn solche existieren, sonst einfache (»simple«).

simple, never
    erstellt immer einfache Sicherheitskopien.

AUTOR
Geschrieben von David MacKenzie.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/install>
oder lokal verfügbar mit: info '(coreutils) install invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).